#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_with	unicode	# use Unicode version of wxGTK2
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Alien
%define		pnam	wxWidgets
Summary:	Alien::wxWidgets - building, finding and using wxWidgets binaries
Summary(pl.UTF-8):	Alien::wxWidgets - budowanie, znajdowanie i wykorzystywanie binariów wxWidgets
Name:		perl-Alien-wxWidgets
Version:	0.65
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Alien/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	219a4f572d24eaa98c3dc2d118c5d9f0
Patch0:		%{name}-nobuild.patch
URL:		http://search.cpan.org/dist/Alien-wxWidgets/
BuildRequires:	perl-Module-Build >= 0.2611-1
BuildRequires:	perl-Module-Pluggable >= 3.1-4
BuildRequires:	perl-ExtUtils-CBuilder >= 0.24
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	wxGTK2-%{?with_unicode:unicode-}devel >= 2.6.3
BuildRequires:	wxGTK2-%{?with_unicode:unicode-}gl-devel >= 2.6.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alien::wxWidgets allows wxPerl to easily find information about your
wxWidgets installation. It can store this information for multiple
wxWidgets versions or configurations (debug, Unicode, etc.). It can
also build and install a private copy of wxWidgets as part of the
build process.

%description -l pl.UTF-8
Alien::wxWidgets pozwala wxPerlowi łatwo uzyskać informacje na temat
instalacji wxWidgets. Może przechowywać informacje o wielu wersjach
lub konfiguracjach (debug, Unicode, itp.). Może także zbudować i
zainstalować prywatną kopię wxWidgets jako część procesu budowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
WX_CONFIG=wx-gtk2-%{?with_unicode:unicode}%{!?with_unicode:ansi}-config
export WX_CONFIG
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/Alien
%{perl_vendorarch}/Alien/*.pm
%dir %{perl_vendorarch}/Alien/wxWidgets
%{perl_vendorarch}/Alien/wxWidgets/*.pm
%dir %{perl_vendorarch}/Alien/wxWidgets/Config
%{perl_vendorarch}/Alien/wxWidgets/Config/*.pm
%dir %{perl_vendorarch}/auto/Alien
%dir %{perl_vendorarch}/auto/Alien/wxWidgets
%{_mandir}/man3/*
%changelog
* Mon Sep 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Alien-wxWidgets.git;a=log;h=master

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 6496b06
- up to 0.65

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0c12cbd
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> bbafe7e
- rel 2

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 29d3d17
- updated to 0.64

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 85bb3c5
- up to 0.64

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0621936
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 97046a8
- release 2

* Mon Oct 26 2009 amateja <amateja@pld-linux.org> 07e4f59
- updated to 0.45

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> d95f296
- updated to 0.44

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 7eaf1ef
- adjusted for 0.44

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 6952f34
- adjusted for 0.43

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 0e5aa9c
- updated to 0.43
- added BR perl-ExtUtils-CBuilder >= 0.24

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 95dd782
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6b8dacf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 530a337
- converted to UTF-8

* Mon Nov 06 2006 ankry <ankry@pld-linux.org> 14d6bda
- tabs

* Mon Nov 06 2006 Jakub Bogusz <qboosh@pld-linux.org> bbe2b62
- pl, URL

* Sat Oct 21 2006 Michał Łukaszek <mlukaszek+pld@gmail.com> 9d98e3c
- rel down to indicate that it's not ready yet

* Sat Oct 21 2006 Michał Łukaszek <mlukaszek+pld@gmail.com> 274c91a
- saving work, not working yet, help needed

* Sat Oct 21 2006 Michał Łukaszek <mlukaszek+pld@gmail.com> c73aa2d
- new

